Bug 13217 - Unlink fails when file system sharemode denies DELETE
Unlink fails when file system sharemode denies DELETE
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-12 18:21 UTC by Christof Schmitt
Modified: 2018-01-31 09:47 UTC (History)
2 users (show)

See Also:


Attachments
Patch for Samba 4.8 (1.64 KB, patch)
2018-01-17 20:29 UTC, Christof Schmitt
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2018-01-12 18:21:13 UTC
GPFS supports denying the DELETE sharemode. Using this results in the
problem that close_remove_share_mode() first tries to unlink() the
file and only after that requests to remove the sharemode. The unlink()
fails in this case when the file system denies the DELETE sharemode and
the file still exists after the "delete on close".
Comment 1 Christof Schmitt 2018-01-17 20:29:38 UTC
Created attachment 13916 [details]
Patch for Samba 4.8

Backport to Samba 4.8. As vfs_gpfs only implements the
DELETE sharemode in 4.8 and newer and no other vfs module
implements the DELETE sharemode, a backport to 4.8
should be sufficient.
Comment 2 Jeremy Allison 2018-01-18 00:26:10 UTC
Reassigning to Karolin for inclusion in 4.8.0.
Comment 3 Karolin Seeger 2018-01-22 07:53:46 UTC
Pushed to autobuild-v4-8-test.
Comment 4 Karolin Seeger 2018-01-31 09:47:18 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-8-test.
Closing out bug report.

Thanks!